Skip to main content
POST
Use this endpoint to create a Fund Account of the type wallet. A new Fund Account is created if any combination of the following details is unique: contact_id, wallet.phone.number, wallet.phone.country_code, and wallet.email.
  • If all the above details match the details of an existing Fund Account, the API returns details of the existing Fund Account.
  • You cannot edit the details of a Fund Account.

Request Parameters

string
required
The unique identifier linked to a contact. For example, cont_00000000000001.
string
required
The account type you want to link to the contact ID. Here, it is wallet.
object
required
The contact’s wallet details.
string
required
The wallet provider. Here, it is amazonpay.
string
required
Beneficiary phone details. 10 digit beneficiary phone number with the country code. For example, +919876543210 .
string
Beneficiary email address. For example, gaurav.kumar@example.com.
string
Wallet holder’s name. Name must be between 4 - 120 characters. This field is case-sensitive. Name cannot end with a special character, except .. Supported characters: a-z, A-Z, 0-9, space, , - , _ , / , ( , ) and , .. For example, Gaurav Kumar.

Response Parameters

string
The unique identifier linked to the fund account. For example, fa_00000000000001.
string
Here it will be fund_account.
string
The unique identifier linked to the contact. For example, cont_00000000000001.
string
The fund account type created. Here it is wallet.
object
The contact’s wallet details.
string
The wallet provider. Here, it is amazonpay.
string
10 digit beneficiary phone number with the country code. For example, +919876543210 .
string
Beneficiary email address. For example, gaurav.kumar@example.com.
string
Wallet holder’s name. For example, Gaurav Kumar.
boolean
Possible values:
  • true: active
  • false: inactive
string
This parameter is populated if the fund account was created as part of a bulk upload. For example, batch_00000000000001.
integer
Timestamp, in Unix, when the fund account was created. For example, 1545320320.